---
title: Delete table template
url: https://anyrow.ai/docs/api/table-templates/delete
canonical_url: https://anyrow.ai/docs/api/table-templates/delete
---

# Delete table template

`DELETE /v1/table-templates/{template_id}`

Authentication: `Authorization: ApiKey {your_api_key}`.

## Path parameters

- `template_id` (string, required)

## Returns

200 `application/json`.

- `id` (string, required)

## Errors

- 403: `email_not_verified`, `forbidden`, `impersonation_forbidden`, `org_suspended`, `table_template_forbidden`
- 404: `not_found`, `table_template_not_found`

Errors every endpoint can return: [Errors](https://anyrow.ai/docs/api/errors.md).

## Request

```ts title="Node.js"
import { AnyrowSDK } from "@anyrow/sdk"

const anyrow = new AnyrowSDK({
  baseURL: "https://api.anyrow.ai",
  headers: { Authorization: `ApiKey ${process.env.ANYROW_API_KEY}` },
})

const { data, error } = await anyrow.tableTemplate.delete({
  params: {
    template_id: "{template_id}"
  },
})
```

```bash title="cURL"
curl -X DELETE 'https://api.anyrow.ai/v1/table-templates/{template_id}' \
  -H 'Authorization: ApiKey {your_api_key}'
```

```js title="JavaScript"
const response = await fetch("https://api.anyrow.ai/v1/table-templates/{template_id}", {
  method: "DELETE",
  headers: {
    Authorization: "ApiKey {your_api_key}",
  },
})
const data = await response.json()
```

```python title="Python"
import requests

response = requests.delete(
    "https://api.anyrow.ai/v1/table-templates/{template_id}",
    headers={
        "Authorization": "ApiKey {your_api_key}",
    },
)
print(response.json())
```

## Response

```json title="200"
{
  "id": "string"
}
```
